open-vm-tools 10.3.10

Macros
desktopevents.h File Reference

Go to the source code of this file.

## Macros
#define | TOOLS_CORE_SIG_XIOERROR "tcs_de_xioerror"
#define | TOOLS_CORE_SIG_XSM_SAVE_YOURSELF "tcs_de_xsm_save_yourself"
#define | TOOLS_CORE_SIG_XSM_DIE "tcs_de_xsm_die"
#define | TOOLS_CORE_SIG_XSM_SAVE_COMPLETE "tcs_de_xsm_save_complete"
#define | TOOLS_CORE_SIG_XSM_SHUTDOWN_CANCELLED "tcs_de_xsm_shutdown_cancelled"

## Detailed Description

Public interface for the "switchUser" plugin. This plugin exposes some user session-related events to other plugins.

Aside from the functionality exposed in this file, the plugin also emits the TOOLS_CORE_SIG_SESSION_CHANGE signal (which is handled by vmtoolsd automatically when it's run from within the SCM; see plugin.h).

Currently the plugin is only available on Win32.